Table of Contents

Class: TabWidget | eric3/ViewManager/Tabview.py
--- | ---

Class implementing a custimized TabWidget.

Base Classes |
--- | ---
QTabWidget

Methods |
--- | ---

__init__ addTab handleCaptionChange handleCurrentChanged hasEditor | hasEditors nextTab prevTab removePage showPage

| __init__

    __init__ ( self,  parent )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| addTab

    addTab (
            self,
            editor,
            title,
            )

### Overwritten method to add a new tab.

#### Arguments

editor
  the editor object to be added (QScintilla.Editor.Editor)
title
  title for the new tab (string, QString or QTab)

| handleCaptionChange

    handleCaptionChange (
            self,
            cap,
            editor,
            )

### Private method to handle Caption change signals from the editor.

Updates the listview text to reflect the new caption information.

#### Arguments

cap
  Caption for the editor
editor
  Editor to update the caption for

| handleCurrentChanged

    handleCurrentChanged ( self )

Private slot called by the currentChanged signal.

| hasEditor

    hasEditor ( self,  editor )

### Public method to check for an editor.

#### Arguments

editor
  editor object to check for

#### Returns

flag indicating, whether the editor to be checked belongs to the list of editors managed by this tab widget.

| hasEditors

    hasEditors ( self )

### Public method to test, if any editor is managed.

#### Returns

flag indicating editors are managed

| nextTab

    nextTab ( self )

Public slot used to show the next tab.

| prevTab

    prevTab ( self )

Public slot used to show the previous tab.

| removePage

    removePage ( self,  object )

### Overwritten method to remove a page.

#### Arguments

object
  object to be removed (QObject)

| showPage

    showPage ( self,  editor )

### Overridden method to show a tab.

#### Arguments

editor
  the editor object to be shown (QScintilla.Editor.Editor)

Table of Contents

This document was automatically generated by HappyDoc version 2.1